## Apache Zeta Components Manual :: Docs For Class ezcTreeVisitorXHTMLOptions

### Tree::ezcTreeVisitorXHTMLOptions

### Class ezcTreeVisitorXHTMLOptions

Class containing the options for the ezcTreeVisitorXHTMLOptions class.

Source for this file: /Tree/src/options/visitor_xhtml.php

    ezcBaseOptions
       |
       --ezcTreeVisitorXHTMLOptions

Version: | //autogentag//

### Properties

bool | read/write | `$addLinks` Whether links should be generated or not.
string | read/write | `$basePath` Which string to prefix the href-targets with.
bool | read/write | `$displayRootNode` Whether the root node should be displayed. The root node will still be disabled from the links that the visitor creates when $selectedNodeLink is set to true.
array(string) | read/write | `$highlightNodeIds` Which IDs should have the 'highlight' CSS class added.
bool | read/write | `$selectedNodeLink` If enabled, only the requested node is shown in links, and not the full path.
array(string) | read/write | `$subtreeHighlightNodeIds` Which subtree IDs should have the 'highlight' CSS class added.
string | read/write | `$xmlId` The ID that should be set on the top level 'ul' XHTML tag.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcTreeVisitorXHTMLOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcTreeVisitorXHTMLOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3